# Insertion of remark to order

This endpoint may be used to add the user remark into the order history.

For example the payment gateway may give the payment identification at
its side, or

add the remarks during the process of payment or order processing. The
remarks

are displayed in administration, in the “History” tab, in the order
detail,

together with main system changes of the order.

Endpoint: POST /api/orders/{code}/history
Version: abaae1c
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `code` (string, required)
    Example: "2018000012"

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.text` (string, required)

  - `data.type` (string)
    Record type
    Enum: "comment", "system"

## Response 201 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


